Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class TemplateRepository.TemplateClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.jboss.portal.format.template.TemplateRepository.TemplateClassLoader

Enclosing class:
  TemplateRepository

    public static class TemplateRepository.TemplateClassLoader

extends java.lang.ClassLoader

Constructor Summary
`TemplateRepository.TemplateClassLoader(java.lang.ClassLoader parent)`

Method Summary
`java.lang.String` | `addTemplate(org.dom4j.Document doc, java.util.Set names)`
`java.lang.String` | `addTemplate(org.dom4j.Element node, java.util.Set names)`
`protected java.lang.Class` | `findClass(java.lang.String name)`
`java.util.Collection` | `getClassNames()`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRepository.TemplateClassLoader

    public TemplateRepository.TemplateClassLoader(java.lang.ClassLoader parent)

Method Detail

### addTemplate

    public java.lang.String addTemplate(org.dom4j.Document doc,
                                        java.util.Set names)
                                 throws BuildException

  Throws:
    `BuildException`

### addTemplate

    public java.lang.String addTemplate(org.dom4j.Element node,
                                        java.util.Set names)
                                 throws BuildException

  Throws:
    `BuildException`

### getClassNames

    public java.util.Collection getClassNames()

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD